Skip to main content
PUT
/
client
/
showers
/
{id}
/
configuration
Update configuration
curl --request PUT \
  --url https://api.orbital-systems.com/client/showers/{id}/configuration \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "boost_flow_enabled": true,
  "cleaning_program_liters_limit": 123,
  "cleaning_program_session_limit": 123,
  "cleaning_program_sessions_limit_enabled": true,
  "color_mode": 0.5,
  "daily_hot_water_treatment_enabled": true,
  "daily_hot_water_treatment_time": "<string>",
  "default_recirculation_mode": 2,
  "default_shower_flow": 8,
  "heater_power_available": 123,
  "hot_water_treatment_per_session_enabled": true,
  "is_private_shower": true,
  "is_wall_clock_12_hour_format": true,
  "is_wall_clock_enabled": true,
  "live_data_rate": 123,
  "max_shower_water_flow": 8,
  "min_conservation_flow": 123,
  "min_shower_water_flow": 8,
  "shower_head_hc_enabled": true,
  "shower_water_temperature_fahrenheit": true,
  "shower_water_temperature_max": 25,
  "shower_water_temperature_min": 25,
  "shower_water_temperature_start": 25,
  "state_active_showering_timer": 123,
  "state_standby_no_user_wait_timer": 123,
  "state_standby_wait_timer": 123,
  "time_zone_name": "<string>",
  "time_zone": "<string>",
  "use_estimation_for_drain_temperature": true,
  "water_conservation": true,
  "welcome_message_enabled": true,
  "welcome_message": "<string>",
  "water_hardness": 15.5
}
'
import requests

url = "https://api.orbital-systems.com/client/showers/{id}/configuration"

payload = {
"boost_flow_enabled": True,
"cleaning_program_liters_limit": 123,
"cleaning_program_session_limit": 123,
"cleaning_program_sessions_limit_enabled": True,
"color_mode": 0.5,
"daily_hot_water_treatment_enabled": True,
"daily_hot_water_treatment_time": "<string>",
"default_recirculation_mode": 2,
"default_shower_flow": 8,
"heater_power_available": 123,
"hot_water_treatment_per_session_enabled": True,
"is_private_shower": True,
"is_wall_clock_12_hour_format": True,
"is_wall_clock_enabled": True,
"live_data_rate": 123,
"max_shower_water_flow": 8,
"min_conservation_flow": 123,
"min_shower_water_flow": 8,
"shower_head_hc_enabled": True,
"shower_water_temperature_fahrenheit": True,
"shower_water_temperature_max": 25,
"shower_water_temperature_min": 25,
"shower_water_temperature_start": 25,
"state_active_showering_timer": 123,
"state_standby_no_user_wait_timer": 123,
"state_standby_wait_timer": 123,
"time_zone_name": "<string>",
"time_zone": "<string>",
"use_estimation_for_drain_temperature": True,
"water_conservation": True,
"welcome_message_enabled": True,
"welcome_message": "<string>",
"water_hardness": 15.5
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
boost_flow_enabled: true,
cleaning_program_liters_limit: 123,
cleaning_program_session_limit: 123,
cleaning_program_sessions_limit_enabled: true,
color_mode: 0.5,
daily_hot_water_treatment_enabled: true,
daily_hot_water_treatment_time: '<string>',
default_recirculation_mode: 2,
default_shower_flow: 8,
heater_power_available: 123,
hot_water_treatment_per_session_enabled: true,
is_private_shower: true,
is_wall_clock_12_hour_format: true,
is_wall_clock_enabled: true,
live_data_rate: 123,
max_shower_water_flow: 8,
min_conservation_flow: 123,
min_shower_water_flow: 8,
shower_head_hc_enabled: true,
shower_water_temperature_fahrenheit: true,
shower_water_temperature_max: 25,
shower_water_temperature_min: 25,
shower_water_temperature_start: 25,
state_active_showering_timer: 123,
state_standby_no_user_wait_timer: 123,
state_standby_wait_timer: 123,
time_zone_name: '<string>',
time_zone: '<string>',
use_estimation_for_drain_temperature: true,
water_conservation: true,
welcome_message_enabled: true,
welcome_message: '<string>',
water_hardness: 15.5
})
};

fetch('https://api.orbital-systems.com/client/showers/{id}/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "boost_flow_enabled": true,
  "cleaning_program_liters_limit": 123,
  "cleaning_program_session_limit": 123,
  "cleaning_program_sessions_limit_enabled": true,
  "color_mode": 123,
  "daily_hot_water_treatment_enabled": true,
  "daily_hot_water_treatment_time": "<string>",
  "default_recirculation_mode": 123,
  "default_shower_flow": 123,
  "heater_power_available": 123,
  "hot_water_treatment_per_session_enabled": true,
  "is_private_shower": true,
  "is_wall_clock_12_hour_format": true,
  "is_wall_clock_enabled": true,
  "live_data_rate": 123,
  "max_shower_water_flow": 123,
  "min_conservation_flow": 123,
  "min_shower_water_flow": 123,
  "shower_head_hc_enabled": true,
  "shower_water_temperature_fahrenheit": true,
  "shower_water_temperature_max": 123,
  "shower_water_temperature_min": 123,
  "shower_water_temperature_start": 123,
  "state_active_showering_timer": 123,
  "state_standby_no_user_wait_timer": 123,
  "state_standby_wait_timer": 123,
  "time_zone_name": "<string>",
  "time_zone": "<string>",
  "use_estimation_for_drain_temperature": true,
  "water_conservation": true,
  "welcome_message_enabled": true,
  "welcome_message": "<string>",
  "water_hardness": 15.5
}
{}
{}
{}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

The unique identifier for the shower

Body

application/json
boost_flow_enabled
boolean
cleaning_program_liters_limit
number
cleaning_program_session_limit
number
cleaning_program_sessions_limit_enabled
boolean
color_mode
number
Required range: 0 <= x <= 1
daily_hot_water_treatment_enabled
boolean
daily_hot_water_treatment_time
string
Required string length: 4
default_recirculation_mode
number
Required range: 0 <= x <= 4
default_shower_flow
number
Required range: 4 <= x <= 12
heater_power_available
number
hot_water_treatment_per_session_enabled
boolean
is_private_shower
boolean
is_wall_clock_12_hour_format
boolean
is_wall_clock_enabled
boolean
live_data_rate
number
max_shower_water_flow
number
Required range: 4 <= x <= 12
min_conservation_flow
number
min_shower_water_flow
number
Required range: 4 <= x <= 12
shower_head_hc_enabled
boolean
shower_water_temperature_fahrenheit
boolean
shower_water_temperature_max
number
Required range: 0 <= x <= 50
shower_water_temperature_min
number
Required range: 0 <= x <= 50
shower_water_temperature_start
number
Required range: 0 <= x <= 50
state_active_showering_timer
number
state_standby_no_user_wait_timer
number
state_standby_wait_timer
number
time_zone_name
string
time_zone
string
use_estimation_for_drain_temperature
boolean
water_conservation
boolean
welcome_message_enabled
boolean
welcome_message
string
water_hardness
number
Required range: 1 <= x <= 30

Response

Configuration updated successfully

boost_flow_enabled
boolean
cleaning_program_liters_limit
number
cleaning_program_session_limit
number
cleaning_program_sessions_limit_enabled
boolean
color_mode
number
daily_hot_water_treatment_enabled
boolean
daily_hot_water_treatment_time
string
default_recirculation_mode
number
default_shower_flow
number
heater_power_available
number
hot_water_treatment_per_session_enabled
boolean
is_private_shower
boolean
is_wall_clock_12_hour_format
boolean
is_wall_clock_enabled
boolean
live_data_rate
number
max_shower_water_flow
number
min_conservation_flow
number
min_shower_water_flow
number
shower_head_hc_enabled
boolean
shower_water_temperature_fahrenheit
boolean
shower_water_temperature_max
number
shower_water_temperature_min
number
shower_water_temperature_start
number
state_active_showering_timer
number
state_standby_no_user_wait_timer
number
state_standby_wait_timer
number
time_zone_name
string
time_zone
string
use_estimation_for_drain_temperature
boolean
water_conservation
boolean
welcome_message_enabled
boolean
welcome_message
string
water_hardness
number
Required range: 1 <= x <= 30